---
title: Create Instant Logs job
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Logpush](https://developers.cloudflare.com/api/python/resources/logpush)

[Edge](https://developers.cloudflare.com/api/python/resources/logpush/subresources/edge)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Create Instant Logs job

logpush.edge.create(EdgeCreateParams\*\*kwargs) -> [InstantLogpushJob](<https://developers.cloudflare.com/api/python/resources/logpush#(resource)%20logpush.edge%20%3E%20(model)%20instant_logpush_job%20%3E%20(schema)>)

POST/zones/{zone\_id}/logpush/edge/jobs

Creates a new Instant Logs job for a zone.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Logs Read`

##### ParametersExpand Collapse

zone\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20logpush.edge%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

fields: Optional\[str]

Comma-separated list of fields.

[Link to this property](<#(resource)%20logpush.edge%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20fields%20%3E%20(schema)>)

filter: Optional\[str]

Filters to drill down into specific events.

[Link to this property](<#(resource)%20logpush.edge%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20filter%20%3E%20(schema)>)

sample: Optional\[int]

The sample parameter is the sample rate of the records set by the client: “sample”: 1 is 100% of records “sample”: 10 is 10% and so on.

[Link to this property](<#(resource)%20logpush.edge%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20sample%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class InstantLogpushJob: …

</summary>

destination\_conf: Optional\[str]

Unique WebSocket address that will receive messages from Cloudflare’s edge.

formaturi

maxLength4096

<a href="#(resource)%20logpush.edge%20%3E%20(model)%20instant_logpush_job%20%3E%20(schema)%20%3E%20(property)%20destination_conf">Link to this property</a>

fields: Optional\[str]

Comma-separated list of fields.

<a href="#(resource)%20logpush.edge%20%3E%20(model)%20instant_logpush_job%20%3E%20(schema)%20%3E%20(property)%20fields">Link to this property</a>

filter: Optional\[str]

Filters to drill down into specific events.

<a href="#(resource)%20logpush.edge%20%3E%20(model)%20instant_logpush_job%20%3E%20(schema)%20%3E%20(property)%20filter">Link to this property</a>

sample: Optional\[int]

The sample parameter is the sample rate of the records set by the client: “sample”: 1 is 100% of records “sample”: 10 is 10% and so on.

<a href="#(resource)%20logpush.edge%20%3E%20(model)%20instant_logpush_job%20%3E%20(schema)%20%3E%20(property)%20sample">Link to this property</a>

session\_id: Optional\[str]

Unique session id of the job.

<a href="#(resource)%20logpush.edge%20%3E%20(model)%20instant_logpush_job%20%3E%20(schema)%20%3E%20(property)%20session_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20logpush.edge%20%3E%20(model)%20instant_logpush_job%20%3E%20(schema)>)

### Create Instant Logs job

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
instant_logpush_job = client.logpush.edge.create(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(instant_logpush_job.session_id)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "destination_conf": "wss://logs.cloudflare.com/instant-logs/ws/sessions/99d471b1ca3c23cc8e30b6acec5db987",
    "fields": "ClientIP,ClientRequestHost,ClientRequestMethod,ClientRequestURI,EdgeEndTimestamp,EdgeResponseBytes,EdgeResponseStatus,EdgeStartTimestamp,RayID",
    "filter": "{\"where\":{\"and\":[{\"key\":\"ClientCountry\",\"operator\":\"neq\",\"value\":\"ca\"}]}}",
    "sample": 1,
    "session_id": "99d471b1ca3c23cc8e30b6acec5db987"
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "destination_conf": "wss://logs.cloudflare.com/instant-logs/ws/sessions/99d471b1ca3c23cc8e30b6acec5db987",
    "fields": "ClientIP,ClientRequestHost,ClientRequestMethod,ClientRequestURI,EdgeEndTimestamp,EdgeResponseBytes,EdgeResponseStatus,EdgeStartTimestamp,RayID",
    "filter": "{\"where\":{\"and\":[{\"key\":\"ClientCountry\",\"operator\":\"neq\",\"value\":\"ca\"}]}}",
    "sample": 1,
    "session_id": "99d471b1ca3c23cc8e30b6acec5db987"
  }
}
```